| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Enumerations
SwitchBinary.cpp File Reference
`#include "command_classes/CommandClasses.h"`
`#include "command_classes/SwitchBinary.h"`
`#include "command_classes/WakeUp.h"`
`#include "Defs.h"`
`#include "Msg.h"`
`#include "Driver.h"`
`#include "Node.h"`
`#include "platform/Log.h"`
`#include "value_classes/ValueBool.h"`
`#include "value_classes/ValueByte.h"`

## Enumerations
enum | SwitchBinaryCmd { SwitchBinaryCmd_Set = 0x01 , SwitchBinaryCmd_Get = 0x02 , SwitchBinaryCmd_Report = 0x03 }
enum | SwitchBinaryIndex { SwitchBinaryIndex_Level = 0 , SwitchBinaryIndex_TargetState , SwitchBinaryIndex_Duration }

## Enumeration Type Documentation

## ◆ SwitchBinaryCmd

enum SwitchBinaryCmd

Enumerator
SwitchBinaryCmd_Set |
SwitchBinaryCmd_Get |
SwitchBinaryCmd_Report |

## ◆ SwitchBinaryIndex

enum SwitchBinaryIndex

Enumerator
SwitchBinaryIndex_Level |
SwitchBinaryIndex_TargetState |
SwitchBinaryIndex_Duration |